#ifndef _NETWORK_ABSTRACTION_LAYER_H_
#define _NETWORK_ABSTRACTION_LAYER_H_

#include <stdint.h>
#include <stdbool.h>
#include <sinkStruct.h>


typedef struct {
    uint64_t seconds;
    uint32_t missedUpdates;
    bool valid;
} t_seconds;

void networkInit();
t_seconds* networkGetSeconds();
int8_t networkSendMinuteBuffer(t_minuteBuffer *minuteBuffer);


#endif /* _NETWORK_ABSTRACTION_LAYER_H_ */
